> ## Documentation Index
> Fetch the complete documentation index at: https://docs-ts.playservices.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get player status

> Get status and information for a player in a tournament



## OpenAPI

````yaml api-reference/openapi.json get /api/tournaments/{tournamentId}/players/{playerId}
openapi: 3.1.0
info:
  title: Tournament Platform API
  description: >-
    Comprehensive API for managing real-time multiplayer tournaments with Game
    Platform integration. Includes both external Casino Integration APIs and
    internal Game Platform APIs.
  version: 1.0.0
  license:
    name: MIT
  contact:
    name: Tournament Platform Support
    url: https://ts.playservices.tech/
    email: support@playservices.tech
servers:
  - url: https://ts.playservices.tech/api
    description: Production server
security:
  - OperatorAPIKey: []
  - InternalAPIKey: []
paths:
  /api/tournaments/{tournamentId}/players/{playerId}:
    get:
      tags:
        - Casino Integration - Players
      summary: Get player status
      description: Get status and information for a player in a tournament
      parameters:
        - $ref: '#/components/parameters/TournamentId'
        - $ref: '#/components/parameters/PlayerId'
      responses:
        '200':
          description: Player status information
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlayerStatusResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - OperatorAPIKey: []
components:
  parameters:
    TournamentId:
      name: tournamentId
      in: path
      required: true
      description: Unique tournament identifier
      schema:
        type: string
        example: '12345'
    PlayerId:
      name: playerId
      in: path
      required: true
      description: Player identifier (can be internal player ID or database player ID)
      schema:
        type: string
        example: '123'
  schemas:
    PlayerStatusResponse:
      type: object
      properties:
        player_id:
          type: string
        internal_player_id:
          type: string
        display_name:
          type: string
        tournament_id:
          type: string
        status:
          type: string
        points:
          type: string
        position:
          type: integer
        current_round:
          type: string
        current_group:
          type: string
        elimination_round:
          type: integer
    Error:
      type: object
      required:
        - error
        - message
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: object
  responses:
    Unauthorized:
      description: Authentication failed or insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    OperatorAPIKey:
      type: http
      scheme: bearer
      description: >-
        Operator API key with role-based permissions (tournaments.read,
        players.write, etc.)
    InternalAPIKey:
      type: apiKey
      in: header
      name: X-Internal-Api-Key
      description: Internal API key for Game Platform integration

````